-- Rect Grid 3 --

function love.load()
	balls = {}
	offset = 20
	numX = 50
	numY = 37
	love.graphics.setBackgroundColor(0, 0, 25)
	for i=0, numY do
		for j=0, numX do
			local ball = {}
			ball.y = i * offset + 10
			ball.x = j * offset + 10	
			ball.radius = 1.25
			ball.interpol = j + 2 * math.pi
			ball.alpha = ((math.cos(0.5 * ball.interpol)) * 255 + 255)/2
			ball.color = {255, 255, 255, ball.alpha}
			table.insert(balls, ball)
		end
	end
end

function love.update(dt)
	for i, ball in ipairs(balls) do
		ball.interpol = ball.interpol + 4 * dt
		ball.alpha = ((math.cos(0.5 * ball.interpol)) * 50 - 128 + 255)/2
		ball.color = {255, 255, 255, ball.alpha}
	end
	love.graphics.setCaption(love.timer.getFPS())
end

function love.draw()
	for i, v in ipairs(balls) do
		love.graphics.setColor(v.color)
		love.graphics.circle("fill", v.x, v.y, v.radius, 50)
	end
end